<?php 

	// link & title vars	// use these in WordPress
	$poli = 'Link'; 	// get_permalink($post->ID);
	$poti = 'Title';	// get_the_title($post->ID);


	// here's our array with info for our links
	$shara = [
		array('facebook', 'share '.$poti.' on Facebook', 'http://www.facebook.com/sharer/sharer.php?u='.$poli),
		array('twitter', 'share '.$poti.' on Twitter', 'https://twitter.com/share?url='.$poli.'&text='.$poti),
		array('linkedin', 'share '.$poti.'on LinkedIn', 'https://www.linkedin.com/shareArticle?mini=true&url='.$poli.'&title='.$poti.'&summary=&source='),
		array('google-plus', 'share '.$poti.' on Google Plus', 'https://plus.google.com/share?url='.$poli)
	];

	// here's our function to drop the list into layout
	function share_list() {

		// bring array into function scope
		global $shara;

		// start our string with the opener for the <ul>
		$stra = '<ul class="share-links">';

		// then let's drop an email link in there
		$stra .= '<li><a class="ico" href="mailto:dan@thecruzat.com&subject=I love the Social Share Icons tutorial!"><i class="fa fa-envelope"></i></a></li>';

		// our foreach loop draws out our list items from our array
		foreach($shara as $coun => $link) : 
			$stra .= '<li><a class="ico" href="'.$link[2].'" title="'.$link[1].'" target="_blank"><i class="fa fa-'.$link[0].'"></i></a></li>';
			endforeach;

		// closing up the string by closing the <ul>
		$stra .= '</ul>';

		// return our string back as a variable to be echo'd
		return $stra;
	}

?><!DOCTYPE html>
<html>
	<head>
		<title>Easy Social Share Buttons for WordPress</title><?php /*

		// here's our Font Awesome import from the CDN												*/ ?>
		<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.3.0/css/font-awesome.min.css" type="text/css">

		<style>

			/* generic presentation stuff */
			html,body 						{ height:100%; padding:0; margin:0; box-sizing:border-box; }
			.center-frame					{ display:table; width:100%; height:100%; text-align:center; }
			.center-piece 					{ display:table-cell; width:100%; height:100%; vertical-align: middle; position:relative; }


			/* quick styles for our links */
			ul.share-links					{ display:inline-block; width:auto; list-style:none; margin:0; padding:0; }
			ul.share-links li				{ display:block; width:32px; height:32px; float:left; margin-right:8px; }
			ul.share-links li:last-child	{ margin-right:0; }
			ul.share-links a				{ display:block; width:100%; height:100%; background:red; color:#fff; text-decoration:none; border-radius:16px;  }
			ul.share-links a .fa			{ display:block; width:100%; text-align:center; line-height:32px; }


		</style>
	</head>
	<body><div class="center-frame"><div class="center-piece">


		<?php 	// calling the list into layout
				echo share_list();						?>



	</div></div></body>
</html>




<?php 	// a code snip from coffeewith.thecruzat.com

		//	: respect is reciprocated, reach out to be recognized :
		//	: thecruzat.com : eencee.me : 								?>

